.TH PSRESIZE 1 "PSUtils Release @RELEASE@ Patchlevel @PATCHLEVEL@"
.SH NAME
psresize \- multiple pages per sheet
.SH SYNOPSIS
.B psresize
[
.B \-w\fIwidth\fR
] [
.B \-h\fIheight\fR
] [
.B \-p\fIpaper\fR
] [
.B \-W\fIwidth\fR
] [
.B \-H\fIheight\fR
] [
.B \-P\fIpaper\fR
] [
.B \-q
] [
.I infile
[
.I outfile
] ]
.SH DESCRIPTION
.I Psresize
rescales and centres a document on a different size of paper.
The input PostScript file should follow the Adobe Document Structuring
Conventions.
.PP
The
.I \-w
option gives the output paper width, and the
.I \-h
option gives the output paper height, normally specified in
.B "cm"
or
.B "in"
to convert 
PostScript's points (1/72 of an inch)
to centimeters or inches.
The 
.I \-p
option can be used as an alternative, to set the output paper size to
.B a3, a4, a5, b5, letter, legal, tabloid, statement, executive, folio, quarto
or
.B 10x14.
The default output paper size is
.B @PAPER@.
.PP
The
.I \-W
option gives the input paper width, and the
.I \-H
option gives the input paper height.
The 
.I \-P
option can be used as an alternative, to set the input paper size.
The default input paper size is
.B @PAPER@.
.PP
.I Psresize
normally prints the page numbers of the pages output; the
.I \-q
option suppresses this.
.SH EXAMPLES
The following command can be used to convert a document on A4 size paper to
letter size paper:
.sp
psresize -PA4 -pletter in.ps out.ps
.sp
.SH AUTHOR
Copyright (C) Angus J. C. Duggan 1991-1995
.SH "SEE ALSO"
@MAN@
.SH TRADEMARKS
.B PostScript
is a trademark of Adobe Systems Incorporated.
.SH BUGS
.I Psresize
does not accept all DSC comments.
